curl https://api.portkey.ai/v1/audio/speech \
-H "x-portkey-api-key: $PORTKEY_API_KEY" \
-H "x-portkey-virtual-key: $PORTKEY_PROVIDER_VIRTUAL_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "tts-1",
"input": "The quick brown fox jumped over the lazy dog.",
"voice": "alloy"
}' \
--output speech.mp3"<string>"Create Speech
POST
/
audio
/
speech
curl https://api.portkey.ai/v1/audio/speech \
-H "x-portkey-api-key: $PORTKEY_API_KEY" \
-H "x-portkey-virtual-key: $PORTKEY_PROVIDER_VIRTUAL_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "tts-1",
"input": "The quick brown fox jumped over the lazy dog.",
"voice": "alloy"
}' \
--output speech.mp3"<string>"Portkey is now PRISMA AIRS AI Gateway. See it in action.
Contact Us
Authorizations
Portkey-Key & Virtual-KeyPortkey-Key & Provider-Auth & Provider-NamePortkey-Key & ConfigPortkey-Key & Provider-Auth & Provider-Name & Custom-Host
Body
application/json
One of the available TTS models: tts-1 or tts-1-hd
The voice to use when generating the audio. Supported voices are alloy, echo, fable, onyx, nova, and shimmer. Previews of the voices are available in the Text to speech guide.
Available options:
alloy, echo, fable, onyx, nova, shimmer Response
200 - application/octet-stream
OK
The response is of type file.
Last modified on August 6, 2026
Was this page helpful?

